import {request} from './request'

// banner
// 说明 : 调用此接口 , 可获取 banner( 轮播图 ) 数据
// 可选参数 :
// type:资源类型,对应以下类型,默认为 0 即PC
// 0: pc
// 1: android
// 2: iphone
// 3: ipad
export function getBanner(type=0){
  return request({
    url: '/banner',
    params:{
      type
    }
  })
} 

// 推荐歌单
// 说明 : 调用此接口 , 可获取推荐歌单
// 可选参数 : limit: 取出数量 , 默认为 30 (不支持 offset)
// 接口地址 : /personalized
// 调用例子 : /personalized?limit=1
export function getPersonalized(limit=30){
  return request({
    url: '/personalized',
    params:{
      limit
    }
  })
} 

// 新歌速递
// 说明 : 调用此接口 , 可获取新歌速递
// 必选参数 :
// type: 地区类型 id,对应以下:
// 全部:0
// 华语:7
// 欧美:96
// 日本:8
// 韩国:16
// 接口地址 : /top/song
// 调用例子 : /top/song?type=96
export function getTopSong(type = 0){
  return request({
    url: `/top/song?type=${type}`,
    params:{

    }
  })
} 

// 推荐 mv
// 说明 : 调用此接口 , 可获取推荐 mv
// 接口地址 : /personalized/mv
// 调用例子 : /personalized/mv
export function getPersonalizedMV(){
  return request({
    url: '/personalized/mv',
    params:{

    }
  })
} 
